#include <BitVoicer11.h>  
  
  
//Instantiates the BitVoicerSerial class  
BitVoicerSerial bvSerial = BitVoicerSerial();  
  
  
//Stores true if the Audio Streaming Calibration tool  
//is running  
boolean sampleTest = false;  
//Stores the data type retrieved by getData()  
byte dataType = 0; 

void setup()  
{  
  //Sets the analog reference to external (AREF pin)  
  //WARNING!!! If anything is conected to the AREF pin,  
  //this function MUST be called first. Otherwise, it will  
  //damage the board.  
  bvSerial.setAnalogReference(BV_EXTERNAL);  
  //Sets up the microcontroller to perform faster analog reads  
  //on the specified pin  
  bvSerial.setAudioInput(0);  
  //Starts serial communication at 115200 bps 
 //This program talks to Bitvoicer with a mega 2560 then to an arduino uno then to cal averas
 
 
  
  Serial.begin(115200); 
 Serial1.begin(9600);
Serial2.begin(9600);  
  //Sets up the pinModes 
  
}// end setup

void loop()  
{  
  //Captures audio and sends it to BitVoicer if the Audio  
  //Streaming Calibration Tool is running  
  if (sampleTest == true)  
  {  
    //The value passed to the function is the time  
    //(in microseconds) that the function has to wait before  
    //performing the reading. It is used to achieve about  
    //8000 readings per second.  
    bvSerial.processAudio(46);  
  }  
  
  //Captures audio and sends it to BitVoicer if the Speech  
  //Recognition Engine is running  
  if (bvSerial.engineRunning)  
  {  
    //The value passed to the function is the time  
    //(in microseconds) that the function has to wait before  
    //performing the reading. It is used to achieve about  
    //8000 readings per second.  
    bvSerial.processAudio(46);  
  }  
}// end loop
//This function runs every time serial data is available  
//in the serial buffer after a loop  
void serialEvent()  
{  
  //Reads the serial buffer and stores the received data type  
  dataType = bvSerial.getData();  
  
  //Changes the value of sampleTest if the received data was  
  //the start/stop sampling command  
  if (dataType == BV_COMMAND)  
      sampleTest = bvSerial.cmdData;  
  
  //Signals BitVoicer's Speech Recognition Engine to start  
  //listening to audio streams after the engineRunning status  
  //was received  
  if (dataType == BV_STATUS && bvSerial.engineRunning == true)  
    bvSerial.startStopListening();  
  
  //Checks if the data type is the same as the one in the  
  //Voice Schema  
  if (dataType == BV_STR)  
    checkdata(); //got to the if statements 
}// end serial event

void checkdata(){
  // put if statements here check for strings Exp if (bvSerial.strData == "wake")
if (bvSerial.strData==("hobby")) {Serial1.write("A");Serial2.write('A');}
if (bvSerial.strData==("software")) {Serial1.write("B");Serial2.write("L");}
if (bvSerial.strData==("imagination")) {Serial1.write("C");Serial2.write("D");}
if (bvSerial.strData==("events")) {Serial1.write("D");Serial2.write("D");}
if (bvSerial.strData==("record")) {Serial1.write("E");Serial2.write("I");}
if (bvSerial.strData==("engineer")) {Serial1.write("F");Serial2.write("H");;}
if (bvSerial.strData==("law")) {Serial1.write("G");Serial2.write("G");}
if (bvSerial.strData==("hello")) {Serial1.write("H");Serial2.write("A");}
if (bvSerial.strData==("reality")) {Serial1.write("I");Serial2.write('D');}
if (bvSerial.strData==("change")) {Serial1.write("J");Serial2.write('H');}
if (bvSerial.strData==("water")) {Serial1.write("K");Serial2.write('H');}
if (bvSerial.strData==("journey")) {Serial1.write("L");Serial2.write('L');}
if (bvSerial.strData==("lifeforms")) {Serial1.write("M");Serial2.write('D');}
if (bvSerial.strData==("who")) {Serial1.write("O");;Serial2.write('L');}
if (bvSerial.strData==("glasses")) {Serial1.write("P");Serial2.write('H');}
if (bvSerial.strData==("light")) {Serial1.write("Q");Serial2.write('K');}
if (bvSerial.strData==("drink")) {Serial1.write("R");Serial2.write('A');}
//if (bvSerial.strData==("hello")) {Serial1.write("H");}
if (bvSerial.strData==("scars")) {Serial1.write("S");Serial2.write('K');}
if (bvSerial.strData==("try")) {Serial1.write("T");Serial2.write('I');}
if (bvSerial.strData==("greasy")) {Serial1.write("U");Serial2.write('I');}
if (bvSerial.strData==("sucess")) {Serial1.write("V");Serial2.write('D');}
if (bvSerial.strData==("limitations")) {Serial1.write("W");;Serial2.write('L');}
if (bvSerial.strData==("botfu")) {Serial1.write("X");Serial2.write('L');}
if (bvSerial.strData==("foolishness")) {Serial1.write("Y");Serial2.write('L');}
if (bvSerial.strData==("pumpkin")) {Serial1.write("Z");Serial2.write('I');}
if (bvSerial.strData==("inventing")) {Serial1.write("1");Serial2.write('L');}
// add some more words

if (bvSerial.strData==("a")) {Serial1.write("a");Serial2.write('L');}
if (bvSerial.strData==("b")) {Serial1.write("b");Serial2.write("K");}
if (bvSerial.strData==("c")) {Serial1.write("c");Serial2.write("I");}
if (bvSerial.strData==("d")) {Serial1.write("d");Serial2.write("H");}
if (bvSerial.strData==("e")) {Serial1.write("e");Serial2.write("L");}
if (bvSerial.strData==("f")) {Serial1.write("f");Serial2.write("D");;}
if (bvSerial.strData==("g")) {Serial1.write("g");Serial2.write("K");}
if (bvSerial.strData==("h")) {Serial1.write("h");Serial2.write("L");}
if (bvSerial.strData==("i")) {Serial1.write("i");Serial2.write("H");}
if (bvSerial.strData==("j")) {Serial1.write("j");Serial2.write("L");}
if (bvSerial.strData==("k")) {Serial1.write("k");Serial2.write("I");}
if (bvSerial.strData==("l")) {Serial1.write("l");Serial2.write("D");}
if (bvSerial.strData==("m")) {Serial1.write("m");Serial2.write("K");}
if (bvSerial.strData==("n")) {Serial1.write("n");Serial2.write("L");}
if (bvSerial.strData==("o")) {Serial1.write("o");Serial2.write("J");}
if (bvSerial.strData==("p")) {Serial1.write("p");Serial2.write("L");}
if (bvSerial.strData==("q")) {Serial1.write("q");Serial2.write("D");}
if (bvSerial.strData==("r")) {Serial1.write("r");Serial2.write("H");}
if (bvSerial.strData==("s")) {Serial1.write("s");Serial2.write("K");}
if (bvSerial.strData==("t")) {Serial1.write("t");Serial2.write("L");}
if (bvSerial.strData==("u")) {Serial1.write("u");Serial2.write("L");}
if (bvSerial.strData==("v")) {Serial1.write("v");Serial2.write("D");}
if (bvSerial.strData==("w")) {Serial1.write("w");Serial2.write("H");}
if (bvSerial.strData==("x")) {Serial1.write("x");Serial2.write("L");}
if (bvSerial.strData==("y")) {Serial1.write("y");Serial2.write("H");}
if (bvSerial.strData==("z")) {Serial1.write("z");Serial2.write("L");}
// add some more words






} //end check data


//else  
  //{  
   // bvSerial.startStopListening();  
   // bvSerial.sendToBV("ERROR:" + bvSerial.strData);  
   // bvSerial.startStopListening();  
  //}  
