import guru.ttslib.*;
import processing.serial.*;
import codeanticode.eliza.*;
Serial myPort;  // The serial port:

Eliza eliza;
PFont font;
String elizaResponse, humanResponse;
boolean showCursor;
int lastTime;



TTS tts;
String tony= ("hello I'm tony");
void setup() {
  size(100, 100);
  smooth();
  tts = new TTS();
  tts.setPitch( 100 );
  tts.setPitchRange( 0 );
  tts.setPitchShift( 1 );
  // List all the available serial ports:
  println(Serial.list());
  // Open the port you are using at the rate you want:
  // myPort = new Serial(this,[5], 9600);

  myPort = new Serial(this, "COM5", 9600);
  // When Eliza is initialized, a default script built into the
  // library is loaded.
  eliza = new Eliza(this);

  // A new script can be loaded through the readScript function.
  // It can take local as well as remote files. 
  //eliza.readScript("script");
  //eliza.readScript("http://chayden.net/eliza/script");

  // To go back to the default script, use this:
  //eliza.readDefaultScript();

  font = loadFont("Rockwell-24.vlw");
  textFont(font);

  printElizaIntro();
  humanResponse = "";
  showCursor = true;
  lastTime = 0;
}//end setup

void draw() {
  background(255);
  fill(255);
  ellipse( 35, 30, 25, 35 );
  ellipse( 65, 30, 25, 35 );
  fill(0);
  ellipse( 40, 35, 10, 10 );
  ellipse( 60, 35, 10, 10 );
  noFill();
  arc(50, 50, 50, 50, 0, PI);

  while (myPort.available () > 0) {
    char inByte = myPort.readChar();

    //if (inByte=='h') {
     // settony();
      //tts.speak("camp peavy");
      //tts.speakLeft("");
     // tts.speakLeft("What did the bartender say after a book walked into the bar");
      //delay(200);
      //tts.speakLeft(" Please, no stories");
    //}
    text(elizaResponse, 10, 50, width - 40, height);
    //tts.speakLeft(elizaResponse);
    fill(0);

    int t = millis();
    if (t - lastTime > 500)
    {
      showCursor = !showCursor;
      lastTime = t;
    }

    if (showCursor) text(humanResponse + "_", 10, 150, width - 40, height);
    else text(humanResponse, 10, 150, width - 40, height);



    //if (inByte=='p') {
      //setpete(); 
     //delay(500);
      //tts.speakRight(" oh that made my skull hurt, Ha ha ha he he heee");
    //}

    if (inByte=='A') {
      humanResponse=("All good hobbies should require a Fire Extinguisher and several Insurance plans or at least a good Lawyer"); 
      setpete();
      tts.speakRight(humanResponse); 
      delay(100);
      tts.speakLeft("Hobbies are good for the soul, but often scare the Cat");
     // setliza();
     
     //tts.speakLeft(elizaResponse);
      Eliza();
    } 

    if (inByte=='B') { 
      humanResponse=(" AhhH! I hate computers, operating systems and software upgrades... It's not fair! It's just not fair! Human builders do not have time for all of this B.S. We only live so long, and can't afford the time it takes to fix our projects, that were not broken before the upgrades"); 
      setpete();
      tts.speakRight(humanResponse); 
      Eliza();
    } 
    if (inByte=='C') { 
      humanResponse=(" Imagination is the passport, math is the vessel, science is the journey, upon the endless sea of discovery, and the understanding of it all. Cool running's Boys and Girls, Oh ya, wear a seat belt and a helmet, discovery is often a bumpy ride");
      setpete();
      tts.speakRight(humanResponse); 
      Eliza();
    } 
    if (inByte=='D') { 
      humanResponse=(" I find it interesting how some events, can totally drain my body, and yet recharge my soul. Make: today a good day. Build something "); 
      setpete();
      tts.speakRight(humanResponse); 
      Eliza();
    } 
    if (inByte=='E') { 
      humanResponse=("Many of the fun things that I have done have no video record. That's probably fortunate for legal purposes and stuff."); 
      setpete();
      tts.speakRight(humanResponse); 
      Eliza();
    } 
    if (inByte=='F') { 
      humanResponse=("A good Engineer designs a simple system that the lowly Tech can fix a few years later when the design flaws become apparent. That way the Tech's won't want to hunt them down and Eat them"); 
      setpete();
      tts.speakRight(humanResponse); 
      Eliza();
    } 
    if (inByte=='G') { 
      humanResponse=(" It's interesting that a lot of drinking was involved in writing the Constitution and it is written on a sheet of Marijuana"); 
      setpete();
      tts.speakRight(humanResponse); 
      Eliza();
    } 
    if (inByte=='H') { 
      humanResponse=("The cool thing about living is our ability to ponder, What IF? We live in a universe of What?. We should always ponder the IF's and pass on our current proof's for the kids to study. Eventually our children may learn the truth or inspire their generations to learn more. Dogma should evolve with new knowledge and experience.. This is how we seek the truth");
      setpete();
      tts.speakRight(humanResponse); 
      Eliza();
    } 
    if (inByte=='I') { 
      humanResponse=(" The limits of reality mean nothing for those that live them daily");
    } 
    if (inByte=='J') { 
      humanResponse=("If you change One thing expect to change Three other things to make the machine work the same again or maybe better. The machine universe is often based on Three. Yes, it is always annoying and costly"); 
      setpete();
      tts.speakRight(humanResponse); 
      Eliza();
    } 
    if (inByte=='K') { 
      humanResponse=("Frequently on this little planet, Water is worth a Hell of a lot more than Oil"); 
      setpete();
      tts.speakRight(humanResponse); 
      Eliza();
    } 
    if (inByte=='L') { 
      humanResponse=("Yep, sometimes the journey teaches more than the destination"); 
      setpete();
      tts.speakRight(humanResponse); 
      Eliza();
    } 
    if (inByte=='M') { 
      humanResponse=("It's a lifeform eat, lifeform world. Something has to make the bacterium poop, so our bodys will absorb their waste products, or we would all starve to death");  
      setpete();
      tts.speakRight(humanResponse); 
      Eliza();
    } 
    if (inByte=='N') { 
      humanResponse=("I like it best when the smoke clears before folks show up to ponder, who did it?");  
      setpete();
      tts.speakRight(humanResponse); 
      Eliza();
    } 
    if (inByte=='O') { 
      humanResponse=(" I'm considering becoming a professional Reading Glasses Mangler. I was just looking a this greasy finger printed, smelly, scratched, twisted, horribly bent pair I bought just last week. Suddenly I realized I have a natural gift for defiling visual enhancers. It's good to have a job skill.");  
      setpete();
      tts.speakRight(humanResponse); 
      Eliza();
    } 
    if (inByte=='P') { 
      humanResponse=(" I just had a strange thought. When you look at something with your eyes, you are actually seeing the light that is reflected or emitted from it, Because of the time of flight for the light to reach your eyes and your brains processing time, every thing you look at is actually in the past. The more distant the object the farther back into time you are looking. Heh, I probably shouldn't put all of that on a bumper sticker. I already have enough problems with tailgaters"); 
      setpete();
      tts.speakRight(humanResponse); 
      Eliza();
    } 
    if (inByte=='Q') { 
      humanResponse=("I'll drink to that");
      setpete();
      tts.speakRight("Yeah me too");  
      setpete();
      tts.speakRight(humanResponse); 
      Eliza();
    } 
    //new ones
    if (inByte=='R') { 
      humanResponse=("Bots dig scars");
      //settony(); 
      tts.speakLeft("Flesh is over rated, come on in, take off your skin, and rattle around in your bones");
      setpete();
      tts.speakRight(humanResponse); 
      Eliza();
    } 
    if (inByte=='S') {
      humanResponse= ("The saying, Don't try this at home is good idea. Always try stuff at a friends house, it cuts down on the smoking craters on your lawn. "); 
      setpete();
      tts.speakRight(humanResponse); 
      Eliza();
    } 
    if (inByte=='U') {
      humanResponse= (" I Got Greasy with the folks at, Ace International Speedway During the Power Tool Drag races"); 
      setpete();
      tts.speakRight(humanResponse); 
     // settony();
      tts.speakLeft(" it is fun getting greasy with your friends");
      
      Eliza();
    } 
    if (inByte=='V') {
      humanResponse= ("I just love success, and apparently a lot of the pain and suffering, that I experience, during the process it takes to get there");
      setpete();
      tts.speakRight(humanResponse); 
      Eliza();
    } 
    if (inByte=='W') {
      humanResponse= ("Thank the Maker for the statue of limitations, and the wisdom to not take Self videos, of the various dastardly deeds I may or may not have been involved in"); 
      setpete();
      tts.speakRight(humanResponse); 
      Eliza();
    } 
    if (inByte=='X') {
      humanResponse= ("I just had a flashback to a scene from Bot Fu. Master David Calkins from robogames asks his student. Quickly as you can Identify the blown circuit by the smell, flavor or the color of the smoke. When you can do this it will be time for you to leave.");   
      setpete();
      tts.speakRight(humanResponse); 
      Eliza();
    } 
    if (inByte=='Y') {
      humanResponse= (" Foolishness appears to be an endless cycle of horror, for the naked Apes known as Humans"); 
      setpete();
      tts.speakRight(humanResponse); 
      Eliza();
    }
    if (inByte=='Z') {
      humanResponse= ("I was asked if I liked Punkin Chunkin.... I responded, You could say that yes, wacky technology, wacky people, supersonic vegetables, seared meat and beer, do rank pretty high on my favorite things list "); 
      setpete();
      tts.speakRight(humanResponse); 
      Eliza();
    }
    if (inByte=='1') {
      humanResponse= ("{When inventing stuff, I do find that my mistakes, are often better than the original idea");
      setpete();
      tts.speakRight(humanResponse); 
      Eliza();
    }  
    if (inByte=='a') {humanResponse= ("I find it is often easier to feign ignorance, when brilliance is required, It's often easier to apper dumb. Especially when talking to folks that wear badges.");
      setpete();
      tts.speakRight(humanResponse); 
      Eliza();
    }  
    if (inByte=='b'){humanResponse= ("Wisdom comes from pondering past mistakes, and the beatings they inspired.");
      setpete();
      tts.speakRight(humanResponse); 
      Eliza();
    }  
    if (inByte=='c') { humanResponse= ("The process that spawns a beautiful machine, from a pile of stuff on the floor, is good for the builder, It can be a bit hard on the knuckles though");
      setpete();
      tts.speakRight(humanResponse); 
      Eliza();
    }  
    if (inByte=='d'){humanResponse= ("I could use some moderation in my life, I seem to live in a binary exsitance, with either too much, or too little, of whatever it is, I'm seeking. I need a sine wave, a volume control, and maybe a compression limiter.");
      setpete();
      tts.speakRight(humanResponse); 
      Eliza();
    }  
    if (inByte=='e') {humanResponse= ("It is by will alone, I set my mind in motion, It is by the juice of Arabica, that thoughts acquire speed, the clean shirt acquires stains, The stains become a warning, It is by will alone, I set my mind in motion. Dang it, I just spilled my coffee.");
      setpete();
      tts.speakRight(humanResponse); 
      Eliza();
    }  
    if (inByte=='f'){humanResponse= ("Life's struggles builds character, and good stories to share around the fire. Well that and a burning desire to occasionally blow stuff up.");
      setpete();
      tts.speakRight(humanResponse); 
      Eliza();
    }  

    if (inByte=='g') {humanResponse= ("Ah Science, it brings on such wonderful moments of discovery, and terror, to amaze and entertain us all.");
      setpete();
      tts.speakRight(humanResponse); 
      Eliza();
    }  
    if (inByte=='h'){humanResponse= ("From a recent conversation between me and a scientist. My God man, that's hotter than Fahrenheit");
      setpete();
      tts.speakRight(humanResponse); 
      Eliza();
    }  
    if (inByte=='i') {humanResponse= ("When Trial and Terror comes into play we tend to learn stuff really quickly.");
      setpete();
      tts.speakRight(humanResponse); 
      Eliza();
    }  
    if (inByte=='j'){humanResponse= ("Imagination is the theater of the mind. Reality requires hard work, sweat, failure and determination to eventually succeed. Nothing is easy for a reason, hard work makes us stronger and wiser from the struggle.");
      setpete();
      tts.speakRight(humanResponse); 
      Eliza();
    }  

    if (inByte=='k') {humanResponse= ("Feed your soul a big heeping, dripping, gooey, chewy spoon full of Art today, And please don't forget to lick the bowl.");
      setpete();
      tts.speakRight(humanResponse); 
      Eliza();
    }  
    if (inByte=='l'){humanResponse= ("I believe that Ohm was born, in the instant that Light began. Of course, I was really young at the time");
      setpete();
      tts.speakRight(humanResponse); 
      Eliza();
    }  
    if (inByte=='m') {humanResponse= ("Science is not a food group, but it is food for thought");
      setpete();
      tts.speakRight(humanResponse); 
      Eliza();
    }  
    if (inByte=='n'){humanResponse= ("Sometimes the inspired thoughts you have on Monday make less sense on Thursday. Thank the maker for Friday, and Firefighters with a skilled ax.");
      setpete();
      tts.speakRight(humanResponse); 
      Eliza();
    }  
    if (inByte=='o') {humanResponse= ("As a Mad Scientist I've learned.. When I'm working on something, If you see me start to run you should try and pass me.");
      setpete();
      tts.speakRight(humanResponse); 
      Eliza();
    }  
    if (inByte=='p'){humanResponse= ("Science experiments, can be a sport, When things go wrong, you learn to Run, very quickly.");
      setpete();
      tts.speakRight(humanResponse); 
      Eliza();
    }  
    if (inByte=='q') {humanResponse= ("You don't have to do MAD Science, but then again, slightly annoyed Science, is really fun.");
      setpete();
      tts.speakRight(humanResponse); 
      Eliza();
    }  
    if (inByte=='r'){humanResponse= ("Software issues often lead to hard drinking, and colorful metaphors, recited at high db levels... Apparently software was invented, to enrage, entertain or possibly, release the beast within. Personally, I take comfort in the knowledge, that computers are flammable");
      setpete();
      tts.speakRight(humanResponse); 
      Eliza();
    }  
    if (inByte=='s') { humanResponse= ("Boy, it sure takes a lot of stuff crammed into your head to understand the stuff crammed into the heads of others.");
      setpete();
      tts.speakRight(humanResponse); 
      Eliza();
    }  
    if (inByte=='t'){humanResponse= ("Recent frequent trips to the hardware stores plumbing department have finally trained the employees to not ask Are you OK? They now understand my blank bewildered stare in to the ceiling tiles as my thinking mode.");
      setpete();
      tts.speakRight(humanResponse); 
      Eliza();
    }  
    if (inByte=='u'){humanResponse= ("Today is a good day for a HackSaw and a cookie. Both satiate the beast in their own evil little ways.");
      setpete();
      tts.speakRight(humanResponse); 
      Eliza();
    }  
    if (inByte=='v'){humanResponse= ("Boy it takes a lot of bar napkins to figure out why the last design failed. Maybe I should switch to envelopes");
      setpete();
      tts.speakRight(humanResponse); 
      Eliza();
    }  
    if (inByte=='w'){humanResponse= ("Sometimes there's bad, and then there's one eyed, half burnt, Pink Teddy Bear, floating in the pool, bad... Ahhh, Breaking Bad, you were So Good.");
      setpete();
      tts.speakRight(humanResponse); 
      Eliza();
    }  
    if (inByte=='x'){humanResponse= ("If duality is the inner muse. Then the eternal internal arguments should make one laugh out loud when an agreement is reached.");
      setpete();
      tts.speakRight(humanResponse); 
      Eliza();
    }  
    if (inByte=='y'){humanResponse= ("My interocitor got tangled up with my illudium P U 36 explosive space modulator, when I tripped over the wireless signal, that was being emitted from my spark gap generator, that is connected to my semi smart phone, and now there is a gaping hole in the space time continuum, that I call the living room floor. Oh and I need more Coffee, Stat");
      setpete();
      tts.speakRight(humanResponse); 
      Eliza();
    }  
    if (inByte=='z'){humanResponse= ("Light is what wiggles existence into reality");
      setpete();
      tts.speakRight(humanResponse); 
      Eliza();
    }  
                         
                         
                         
                         }// end while loop
                         //humanResponse="";
                        }//end draw loop
                        
                        void Eliza() 
                        { //setliza();
                          
                            //if ((key == ENTER) || (key == RETURN)) 
                            //{
                                println(humanResponse);
                                elizaResponse = eliza.processInput(humanResponse);
                                println(">> " + elizaResponse);
                                
                                
                                setliza();
                                
                                tts.speakLeft(elizaResponse);
                                humanResponse = "";
                            //} 
                           // else if ((key > 31) && (key != CODED)) 
                           // {
                                // If the key is alphanumeric, add it to the String
                                //humanResponse = humanResponse + key;
                            //}
                            //else if ((key == BACKSPACE) && (0 < humanResponse.length()))
                            //{
                               // char c = humanResponse.charAt(humanResponse.length() - 1);
                               // humanResponse = humanResponse.substring(0, humanResponse.length() - 1);
                            //}
                        }
                        
                        void printElizaIntro()
                        {
                            String hello = "Hello.";
                            
                            elizaResponse = hello + " " + eliza.processInput(hello);
                            println(">> " + elizaResponse);
                            tts.speakLeft(elizaResponse);
                        }
                          void setliza() { tts.setPitch( 300 );
                       tts.setPitchRange( 100 );
                       }
                        
                         void settony() { tts.setPitch( 50 );
                        tts.setPitchRange( 150 );
                        tts.setPitchShift( 100 );}
                        
                        void setpete(){tts.setPitch( 50 );
                        tts.setPitchRange( 50 );}

